<?php
/**
* @version	$Id: multibyte.php 14585 2011-09-24 12:04:17Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

	defined('FULL_PATH') or die('restricted access!');

	if (!function_exists('mb_internal_encoding')) {

		function mb_internal_encoding ($encoding = null) {

		}

		function mb_convert_encoding($str, $to_encoding, $from_encoding = null)
		{
			return $str;
		}

		// substr|substr_count|strtoupper|strtolower|strstr|strrpos|strpos|strlen

		function mb_substr ($str, $start, $length = null, $encoding = null)
		{
			return isset($length) ? substr($str, $start, $length) : substr($str, $start);
		}

		function mb_substr_count ($haystack, $needle, $encoding = null)
		{
			return substr_count($haystack, $needle);
		}

		function mb_strtoupper ($str, $encoding = null)
		{
			return strtoupper($str);
		}

		function mb_strtolower ($str, $encoding = null)
		{
			return strtolower($str);
		}

		function mb_strstr ($haystack, $needle, $part = false, $encoding = null)
		{
			return strstr($haystack, $needle);
		}

		function mb_strrpos ($haystack, $needle, $offset = null, $encoding = null)
		{
			return isset($offset) ? strrpos($haystack, $needle, $offset) : strrpos($haystack, $needle);
		}

		function mb_strpos ($haystack, $needle, $offset = null, $encoding = null)
		{
			return isset($offset) ? strpos($haystack, $needle, $offset) : strpos($haystack, $needle);
		}

		function mb_strlen ($str, $encoding = null)
		{
			return strlen($str);
		}

		function mb_convert_case ($str, $mode = MB_CASE_UPPER, $encoding = null)
		{
			if ( $mode == MB_CASE_UPPER ) {
				return strtoupper($str);
			}
			elseif ( $mode == MB_CASE_LOWER ) {
				return strtolower($str);
			}

			// $mode == MB_CASE_TITLE
			$words = explode(' ', $str);
			$words = array_map('strtolower', $words);
			$words = array_map('ucfirst', $words);

			return implode(' ', $words);
		}
	}